# Uses of Interface
org.eclipse.emf.compare.rcp.ui.internal.configuration.ICompareEditingDomainChange

Packages that use ICompareEditingDomainChange
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Uses of ICompareEditingDomainChange in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer with parameters of type ICompareEditingDomainChange
Modifier and Type
Method
Description
`void`
EMFCompareContentMergeViewer.`handleEditingDomainChange(ICompareEditingDomainChange event)`

## Uses of ICompareEditingDomainChange in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.fallback with parameters of type ICompareEditingDomainChange
Modifier and Type
Method
Description
`void`
TextFallbackMergeViewer.`handleEditingDomainChange(ICompareEditingDomainChange event)`
Listens to editing domain changes on the `event bus`.

## Uses of ICompareEditingDomainChange in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label with parameters of type ICompareEditingDomainChange
Modifier and Type
Method
Description
`void`
LabelContentViewer.`editingDomainChange(ICompareEditingDomainChange event)`

## Uses of ICompareEditingDomainChange in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text with parameters of type ICompareEditingDomainChange
Modifier and Type
Method
Description
`void`
EMFCompareTextMergeViewer.`editingDomainChange(ICompareEditingDomainChange event)`

## Uses of ICompareEditingDomainChange in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer with parameters of type ICompareEditingDomainChange
Modifier and Type
Method
Description
`void`
CompareToolBar.`editingDomainChange(ICompareEditingDomainChange event)`
`void`
EMFCompareStructureMergeViewer.`handleEditingDomainChange(ICompareEditingDomainChange event)`

## Uses of ICompareEditingDomainChange in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl that implement ICompareEditingDomainChange
Modifier and Type
Class
Description
`class`
`CompareEditingDomainChange`